/*
 * $Source: /usr/local/cvsroot/erserver/erserver/java/src/com/postgres/util/config/ConfiguratorIntf.java,v $
 * $Author: asullivan $ $Revision: 1.1.1.1 $ $Date: 2003/08/26 19:02:33 $
 *
 */

package com.postgres.util.config;
import java.util.ArrayList;

public interface ConfiguratorIntf {
    public String getProperty(String key, String defaultKey)
    throws Exception ;

    public String getProperty(String key)
    throws Exception ;

    public int getPropertyInt(String key, int defaultKey)
    throws Exception ;

    public int getPropertyInt(String key)
    throws Exception ;

    public ArrayList getListProperty(String name) throws Exception;

    public ArrayList getListProperty(String name, ArrayList defaultList)
    throws Exception;

    public void initialize() throws Exception ;
    public void initialize(String config) throws Exception;
    public void printProps(String header) ;
    public boolean getDebug();

    public void setDebug(boolean debug);
}
